Bug 18904 - Advanced editor - Rancor - Add authority support
Summary: Advanced editor - Rancor - Add authority support
Status: Pushed to Master
Alias: None
Product: Koha
Classification: Unclassified
Component: Cataloging (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Nick Clemens
QA Contact: Marcel de Rooy
URL:
Whiteboard:
Keywords:
Depends on: 14769 19537
Blocks: 20571
  Show dependency treegraph
 
Reported: 2017-07-06 16:37 UTC by Nick Clemens
Modified: 2018-04-12 15:05 UTC (History)
5 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Medium patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 18904 - Advanced editor - Rancor - Add authority support (10.15 KB, patch)
2017-07-06 16:56 UTC, Nick Clemens
Details | Diff | Splinter Review
Bug 18904 - QA followup (2.55 KB, patch)
2017-07-06 17:50 UTC, Nick Clemens
Details | Diff | Splinter Review
Bug 18904 - QA Followup (2.51 KB, patch)
2017-07-20 10:45 UTC, Nick Clemens
Details | Diff | Splinter Review
Bug 18904 - QA Followup - fix and restore subfield 2 code (1.42 KB, patch)
2017-07-20 10:45 UTC, Nick Clemens
Details | Diff | Splinter Review
[SIGNED OFF] Bug 18904 - Advanced editor - Rancor - Add authority support (10.21 KB, patch)
2017-08-10 22:41 UTC, Katrin Fischer
Details | Diff | Splinter Review
[SIGNED OFF] Bug 18904 - QA followup (1.99 KB, patch)
2017-08-10 22:41 UTC, Katrin Fischer
Details | Diff | Splinter Review
[SIGNED OFF] Bug 18904 - QA Followup (2.58 KB, patch)
2017-08-10 22:41 UTC, Katrin Fischer
Details | Diff | Splinter Review
[SIGNED OFF] Bug 18904 - QA Followup - fix and restore subfield 2 code (1.49 KB, patch)
2017-08-10 22:41 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 18904 - Advanced editor - Rancor - Add authority support (10.20 KB, patch)
2017-10-27 11:21 UTC, Nick Clemens
Details | Diff | Splinter Review
Bug 18904: Followup - fix whitespace and don't use hardcoded path (2.02 KB, patch)
2017-10-27 11:21 UTC, Nick Clemens
Details | Diff | Splinter Review
Bug 18904: Followup - Retrieve subfield in the order they are stored (1.93 KB, patch)
2017-10-27 11:21 UTC, Nick Clemens
Details | Diff | Splinter Review
Bug 18904 - Remove debugging code (1.16 KB, patch)
2017-10-27 11:21 UTC, Nick Clemens
Details | Diff | Splinter Review
Bug 18904 - Remove debugging code (1.16 KB, patch)
2018-02-16 13:15 UTC, Nick Clemens
Details | Diff | Splinter Review
Bug 18904 - Advanced editor - Rancor - Add authority support (10.22 KB, patch)
2018-02-16 13:16 UTC, Nick Clemens
Details | Diff | Splinter Review
Bug 18904: Followup - fix whitespace and don't use hardcoded path (2.04 KB, patch)
2018-02-16 13:16 UTC, Nick Clemens
Details | Diff | Splinter Review
Bug 18904: Followup - Retrieve subfield in the order they are stored (1.93 KB, patch)
2018-02-16 13:16 UTC, Nick Clemens
Details | Diff | Splinter Review
Bug 18904 - Remove debugging code (1.16 KB, patch)
2018-02-16 13:16 UTC, Nick Clemens
Details | Diff | Splinter Review
Bug 18904 (follow-up) Set indicators and correct js path (3.65 KB, patch)
2018-03-15 10:20 UTC, Nick Clemens
Details | Diff | Splinter Review
Bug 18904 - Advanced editor - Rancor - Add authority support (9.54 KB, patch)
2018-04-05 14:11 UTC, Nick Clemens
Details | Diff | Splinter Review
Bug 18904: Followup - fix whitespace and don't use hardcoded path (1.39 KB, patch)
2018-04-05 14:11 UTC, Nick Clemens
Details | Diff | Splinter Review
Bug 18904: Followup - Retrieve subfield in the order they are stored (1.93 KB, patch)
2018-04-05 14:11 UTC, Nick Clemens
Details | Diff | Splinter Review
Bug 18904 - Remove debugging code (1.16 KB, patch)
2018-04-05 14:11 UTC, Nick Clemens
Details | Diff | Splinter Review
Bug 18904 (follow-up) Set indicators and correct js path (3.76 KB, patch)
2018-04-05 14:12 UTC, Nick Clemens
Details | Diff | Splinter Review
Bug 18904 - Advanced editor - Rancor - Add authority support (9.18 KB, patch)
2018-04-06 12:31 UTC, Nick Clemens
Details | Diff | Splinter Review
Bug 18904: Followup - fix whitespace and don't use hardcoded path (1.39 KB, patch)
2018-04-06 12:31 UTC, Nick Clemens
Details | Diff | Splinter Review
Bug 18904: Followup - Retrieve subfield in the order they are stored (1.93 KB, patch)
2018-04-06 12:32 UTC, Nick Clemens
Details | Diff | Splinter Review
Bug 18904 - Remove debugging code (1.16 KB, patch)
2018-04-06 12:32 UTC, Nick Clemens
Details | Diff | Splinter Review
Bug 18904 (follow-up) Set indicators and correct js path (2.86 KB, patch)
2018-04-06 12:32 UTC, Nick Clemens
Details | Diff | Splinter Review
Bug 18904: (follow-up) Rebase onto 14769 (3.93 KB, patch)
2018-04-06 12:32 UTC, Nick Clemens
Details | Diff | Splinter Review
Bug 18904: Advanced editor - Rancor - Add authority support (9.28 KB, patch)
2018-04-09 11:15 UTC, Marcel de Rooy
Details | Diff | Splinter Review
Bug 18904: (follow-up) Fix whitespace and don't use hardcoded path (1.49 KB, patch)
2018-04-09 11:15 UTC, Marcel de Rooy
Details | Diff | Splinter Review
Bug 18904: (follow-up) Retrieve subfield in the order they are stored (2.03 KB, patch)
2018-04-09 11:15 UTC, Marcel de Rooy
Details | Diff | Splinter Review
Bug 18904: Remove debugging code (1.25 KB, patch)
2018-04-09 11:15 UTC, Marcel de Rooy
Details | Diff | Splinter Review
Bug 18904: (follow-up) Set indicators and correct js path (2.95 KB, patch)
2018-04-09 11:15 UTC, Marcel de Rooy
Details | Diff | Splinter Review
Bug 18904: (follow-up) Rebase onto 14769 (4.04 KB, patch)
2018-04-09 11:15 UTC, Marcel de Rooy
Details | Diff | Splinter Review
Bug 18904: (QA follow-up) Do not put authid in searchbox of blinddetail (1.41 KB, patch)
2018-04-09 11:15 UTC, Marcel de Rooy
Details | Diff | Splinter Review
Bug 18904: (follow-up) Use Ctrl+Shift+L (1.56 KB, patch)
2018-04-11 18:21 UTC, Nick Clemens
Details | Diff | Splinter Review
Bug 18904: (follow-up) Use Ctrl+Shift+L (1.61 KB, patch)
2018-04-12 09:36 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Nick Clemens 2017-07-06 16:37:37 UTC
These patches will add the ability to search and select authority records from within the advanced cataloging ediotr
Comment 1 Nick Clemens 2017-07-06 16:56:00 UTC Comment hidden (obsolete)
Comment 2 Lee Jamison 2017-07-06 17:39:11 UTC
Patch applies and works correctly based on test plan. QA Tools fails (see below). Once these are corrected I'd be happy to sign off!

Processing files before patches
|========================>| 4 / 4 (100.00%)
Processing files after patches
|========================>| 4 / 4 (100.00%)

 OK     cataloguing/editor.pl
   OK     critic
   OK     forbidden patterns
   OK     git manipulation
   OK     pod
   OK     spelling
   OK     valid

 OK     koha-tmpl/intranet-tmpl/prog/en/includes/cateditor-ui.inc
   OK     forbidden patterns
   OK     git manipulation
   OK     spelling
   OK     tt_valid
   OK     valid_template

 FAIL   koha-tmpl/intranet-tmpl/prog/en/modules/authorities/blinddetail-biblio-search.tt
   FAIL   forbidden patterns
   OK     git manipulation
   OK     spelling
   OK     tt_valid
   OK     valid_template

 FAIL   koha-tmpl/intranet-tmpl/prog/en/modules/cataloguing/editor.tt
   FAIL   forbidden patterns
   OK     git manipulation
   OK     spelling
   OK     tt_valid
   OK     valid_template
Comment 3 Nick Clemens 2017-07-06 17:50:34 UTC Comment hidden (obsolete)
Comment 4 Katrin Fischer 2017-07-08 19:34:58 UTC
Love it! One day there might be an advanced editor for authorities too, but for now this is a big missing piece to make the new editor useful for more libraries.

Found 2 problems:

1) RTL languages

If the heading is in an RTL language, the field order will be messed up after linking it. Is that something we could fix? Entering the data manually and without linking seems to work ok.

To test:
- Enter something Arabic or Hebrew in 100$a
- Ctrl+L to link to an authority record
- Either select the right one or add a new one with heading in RTL language
- Link
- Verify display in 100$a is not looking right
- Try to save record, receive error message

2) Sequence of subfields is 'random'

This is actually a quite important one, as the sequence really matters.

To test:
- Add an authority records using $a $b $c $d
- Link record
- Subfields will appear out of order (if not, try again, might be random)

In my first test, I ended up with: 
100 _ _ ‡d1983-‡bIII‡aDuck, Donald‡cPope‡94
Comment 5 Nick Clemens 2017-07-20 10:45:24 UTC
Created attachment 65144 [details] [review]
Bug 18904 - QA Followup

Use subfields in the order they are stored.

This patch removes use of an intermediate hash for storing values. Order
of subfields as obtained from authority is now preserved.

Also removes useless code that was intended to set $2 subfields
Comment 6 Nick Clemens 2017-07-20 10:45:27 UTC Comment hidden (obsolete)
Comment 7 Nick Clemens 2017-07-20 10:48:10 UTC
(In reply to Katrin Fischer from comment #4)
> 1) RTL languages
Yes, this is an issue, but it is an issue with the editor in general. RTL fields end up making the whole line RTL  - this has consequences since the editor mostly assumes LTR for field/subfield info. I think this shoudl be a separate bug. On a positive note - while linking to an RTL authority looks wrong, the information is saved correctly (view in the standard editor to see fields are read correctly after save)

> 2) Sequence of subfields is 'random'
This should now be fixed - we were using a hash to store subfield info and losing order - it should now be preserved as saved in the record
Comment 8 Katrin Fischer 2017-08-10 22:41:33 UTC Comment hidden (obsolete)
Comment 9 Katrin Fischer 2017-08-10 22:41:37 UTC Comment hidden (obsolete)
Comment 10 Katrin Fischer 2017-08-10 22:41:41 UTC Comment hidden (obsolete)
Comment 11 Katrin Fischer 2017-08-10 22:41:44 UTC Comment hidden (obsolete)
Comment 12 Marcel de Rooy 2017-10-27 08:07:24 UTC
QA: Looking here now
Comment 13 Marcel de Rooy 2017-10-27 08:14:16 UTC
Added a 600, opened blinddetail with Ctrl+L, chose an authority, and got:
Internal server error: Can't call method "authtypecode" on an undefined value at /usr/share/koha/masterclone/authorities/blinddetail-biblio-search.pl line 77.

Not giving up yet. This probably was bad data. But as said before on other reports if nobody checks what ->find returns, you get this.
Comment 14 Marcel de Rooy 2017-10-27 08:44:12 UTC
Interesting feature! Rancor absolutely needs it.
I have the impression that you fix one or two bugs here in blinddetail that should go on their own. Please split.
Also I would rather not change blinddetail for Rancor, but replace what you need on the receiving side. (experimental etc.)

+            index = 'rancor';//+field.line+'|'+field.tag;
Debugging leftover?

+        [%- FOREACH authtag = authtags -%]
Hmm. Doesnt look nice.

+           var cur_field = opener.opener.jQuery(".CodeMirror")[0].CodeMirror.marceditor.getCurrentField();
What are you doing here exactly ? Why opener.opener ?
Comment 15 Nick Clemens 2017-10-27 11:21:42 UTC Comment hidden (obsolete)
Comment 16 Nick Clemens 2017-10-27 11:21:45 UTC Comment hidden (obsolete)
Comment 17 Nick Clemens 2017-10-27 11:21:48 UTC Comment hidden (obsolete)
Comment 18 Nick Clemens 2017-10-27 11:21:50 UTC Comment hidden (obsolete)
Comment 19 Nick Clemens 2017-10-27 11:30:03 UTC
(In reply to Marcel de Rooy from comment #14)
> I have the impression that you fix one or two bugs here in blinddetail that
> should go on their own. Please split.
Created 19537 - the subfield order patch makes no sense on its own as it has no effect outside of rancor

> Also I would rather not change blinddetail for Rancor, but replace what you
> need on the receiving side. (experimental etc.)
I looked, but it doesn't make sense to me to move it - blinddetail does the replacement of the text in the record and we do similar fixing of text for traditional editor

> +            index = 'rancor';//+field.line+'|'+field.tag;
> Debugging leftover?
Fixed

 
> +        [%- FOREACH authtag = authtags -%]
> Hmm. Doesnt look nice.
Not sure what part you don't like here? Makes sense to me

> +           var cur_field =
> opener.opener.jQuery(".CodeMirror")[0].CodeMirror.marceditor.
> getCurrentField();
> What are you doing here exactly ? Why opener.opener ?
Same as traditional - editor opens auth-finder which opens blinddetail - opener.opener gets us back to the place we called from (the editor)
Comment 20 Marcel de Rooy 2017-11-03 06:53:47 UTC
 FAIL   authorities/blinddetail-biblio-search.pl
   OK     critic
   OK     forbidden patterns
   OK     git manipulation
   OK     pod
   SKIP   spelling
   FAIL   valid
                Global symbol "%subfields" requires explicit package name
                authorities/blinddetail-biblio-search.pl had compilation errors.
Comment 21 Nick Clemens 2017-11-03 10:03:50 UTC
Missed adding dependency on 19537, that should clear up the error
Comment 22 Nick Clemens 2018-02-16 13:15:36 UTC Comment hidden (obsolete)
Comment 23 Nick Clemens 2018-02-16 13:16:03 UTC Comment hidden (obsolete)
Comment 24 Nick Clemens 2018-02-16 13:16:06 UTC Comment hidden (obsolete)
Comment 25 Nick Clemens 2018-02-16 13:16:10 UTC Comment hidden (obsolete)
Comment 26 Nick Clemens 2018-02-16 13:16:12 UTC Comment hidden (obsolete)
Comment 27 Josef Moravec 2018-03-06 07:59:36 UTC
Just tested now and have some issues/comments:

1) The indicators are not taken from authority to biblio, if this can add indicators, it'll take advantage of bug 14769 once it is pushed

2) cataloguing.js link in the template cataloguing/editor.tt should use [% theme %] instead of hadcoded "prog" in path. And should have attached _[% KOHA_VERSION %]
Comment 28 Nick Clemens 2018-03-15 10:20:44 UTC Comment hidden (obsolete)
Comment 29 Nick Clemens 2018-04-05 14:11:48 UTC Comment hidden (obsolete)
Comment 30 Nick Clemens 2018-04-05 14:11:52 UTC Comment hidden (obsolete)
Comment 31 Nick Clemens 2018-04-05 14:11:54 UTC Comment hidden (obsolete)
Comment 32 Nick Clemens 2018-04-05 14:11:57 UTC Comment hidden (obsolete)
Comment 33 Nick Clemens 2018-04-05 14:12:00 UTC Comment hidden (obsolete)
Comment 34 Marcel de Rooy 2018-04-06 07:23:05 UTC
Could you have a look please at bug 14769 ?
We have a conflict re blinddetail*
Bug 14769 solves some issues for authority controlled indicators (including $2 subfields), working with the regular editor. I may be biased, but Rancor is still a lower priority?
Could you follow the changes there ?
Comment 35 Katrin Fischer 2018-04-06 07:48:06 UTC
(In reply to Marcel de Rooy from comment #34)
> Could you have a look please at bug 14769 ?
> We have a conflict re blinddetail*
> Bug 14769 solves some issues for authority controlled indicators (including
> $2 subfields), working with the regular editor. I may be biased, but Rancor
> is still a lower priority?
> Could you follow the changes there ?

I don't think we should prioritize here, but I am biased too. Since Rancor is no longer experimental and this is just the feature missing that keeps a lot of people from using it. I view this one as a very important candidate for 18.05.

First patch here: 6.7.2017, Sign off: 10.8.2017
Review here has already been done a few times with prompt follow-ups and never mentioning a possible conflict. 

For bug 14769
Current patch set: 26.1.2018, Sign off: 5.3.2018

That said, please talk to each other to figure out how to resolve this conflict best - if we work together, it will hopefully be possible to have both patches go in before the deadline.
Comment 36 Katrin Fischer 2018-04-06 07:57:41 UTC
I'll help with testing too, just tell me what you come up with. 
I can also test this again, if there is a follow-up. I am just out for QA since I did the initial sign-off.
Comment 37 Marcel de Rooy 2018-04-06 08:07:30 UTC
(In reply to Katrin Fischer from comment #35)
> Since Rancor is no longer experimental
Bug 19538 is still in discussion?
Comment 38 Katrin Fischer 2018-04-06 08:21:25 UTC
I think we don't need to keep discussing - let's try to find a way out of the maze. :)
Comment 39 Marcel de Rooy 2018-04-06 10:06:20 UTC
(In reply to Marcel de Rooy from comment #34)
> but Rancor is still a lower priority?

Just for completeness: Do not take this too strongly :)
Comment 40 Nick Clemens 2018-04-06 12:31:53 UTC Comment hidden (obsolete)
Comment 41 Nick Clemens 2018-04-06 12:31:56 UTC Comment hidden (obsolete)
Comment 42 Nick Clemens 2018-04-06 12:32:00 UTC Comment hidden (obsolete)
Comment 43 Nick Clemens 2018-04-06 12:32:04 UTC Comment hidden (obsolete)
Comment 44 Nick Clemens 2018-04-06 12:32:07 UTC Comment hidden (obsolete)
Comment 45 Nick Clemens 2018-04-06 12:32:11 UTC Comment hidden (obsolete)
Comment 46 Marcel de Rooy 2018-04-09 08:16:04 UTC
QA: Looking here now
Comment 47 Marcel de Rooy 2018-04-09 11:15:26 UTC
Created attachment 73851 [details] [review]
Bug 18904: Advanced editor - Rancor - Add authority support

This patchset adds the ability to use the authorities search to select
or clear fields in the advanced editor

To test:
 1 - Open a record in the advanced cataloging editor
 2 - Press 'Ctrl+L' while in a field that shuold not be linked to
authorities (300 for instance)
 3 - Nothing should happen
 4 - Try it in a field that should be linked
 5 - You should get the authorities pop-up
 6 - Values in pop-up should be populated from values in record (as
        appropriate for authority type)
 7 - Correct authority type should be selected ( PERSO_NAME for 100,
        TOPIC_TERM for 650, etc.)
 8 - Press 'Clear', field should be blanked
 9 - Search again and select an authority
10 - Field should be correctly populated

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>

Signed-off-by: Marcel de Rooy <m.de.rooy@rijksmuseum.nl>
Comment 48 Marcel de Rooy 2018-04-09 11:15:30 UTC
Created attachment 73852 [details] [review]
Bug 18904: (follow-up) Fix whitespace and don't use hardcoded path

Fix whitespace/tabs
use [% interface %] not intranet-tmpl

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>

Signed-off-by: Marcel de Rooy <m.de.rooy@rijksmuseum.nl>
Comment 49 Marcel de Rooy 2018-04-09 11:15:34 UTC
Created attachment 73853 [details] [review]
Bug 18904: (follow-up) Retrieve subfield in the order they are stored

Use subfields in the order they are stored.

This patch removes use of an intermediate hash for storing values. Order
of subfields as obtained from authority is now preserved.

Also removes useless code that was intended to set $2 subfields

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>

Signed-off-by: Marcel de Rooy <m.de.rooy@rijksmuseum.nl>
Comment 50 Marcel de Rooy 2018-04-09 11:15:39 UTC
Created attachment 73854 [details] [review]
Bug 18904: Remove debugging code

Signed-off-by: Marcel de Rooy <m.de.rooy@rijksmuseum.nl>
Comment 51 Marcel de Rooy 2018-04-09 11:15:43 UTC
Created attachment 73855 [details] [review]
Bug 18904: (follow-up) Set indicators and correct js path

TO test:
1 - Have an authority with some indicators
2 - Link a field in rancor to that authority
3 - See that you get some indicators (same in unimarc, diff in marc21)

Signed-off-by: Marcel de Rooy <m.de.rooy@rijksmuseum.nl>
Comment 52 Marcel de Rooy 2018-04-09 11:15:48 UTC
Created attachment 73856 [details] [review]
Bug 18904: (follow-up) Rebase onto 14769

Signed-off-by: Marcel de Rooy <m.de.rooy@rijksmuseum.nl>
Amended: simplified if-then-else around cur_field.setIndicator[12].
Comment 53 Marcel de Rooy 2018-04-09 11:15:52 UTC
Created attachment 73857 [details] [review]
Bug 18904: (QA follow-up) Do not put authid in searchbox of blinddetail

Adding trivial test if subfield equals 9.

Signed-off-by: Marcel de Rooy <m.de.rooy@rijksmuseum.nl>
Comment 54 Marcel de Rooy 2018-04-09 11:18:39 UTC
Tiny remark:

+my $authtags = Koha::MarcSubfieldStructures->search({ authtypecode => { '!=' => '' }, 'frameworkcode' => '' });

Does Rancor only look at default framework ?
(Actually, this is quite fundamental, but this report is not about the relation between Rancor and the frameworks.)
Comment 55 Katrin Fischer 2018-04-09 11:24:11 UTC
(In reply to Marcel de Rooy from comment #54)
> Tiny remark:
> 
> +my $authtags = Koha::MarcSubfieldStructures->search({ authtypecode => {
> '!=' => '' }, 'frameworkcode' => '' });
> 
> Does Rancor only look at default framework ?
> (Actually, this is quite fundamental, but this report is not about the
> relation between Rancor and the frameworks.)

(13:20:46) ashimema: I do think Rancor entirely ignores frameworks.. always been somewhat surprised by that too marcelr ;)
(13:20:56) kidclamp: yes, it does only use default framework, anything edited becomes defauilt framework
(13:22:43) cait: marcelr: it's true, it only looks at default - there is no need for most of the settings if you jsut type on a blank screen
Comment 56 Jonathan Druart 2018-04-10 19:24:41 UTC
But... why CTRL+L?
It's used by the browser the select the address bar, so if I CTRL+L the popup opens, but the address bar is selected when I close it.
Comment 57 Nick Clemens 2018-04-11 10:28:30 UTC
(In reply to Jonathan Druart from comment #56)
> But... why CTRL+L?
> It's used by the browser the select the address bar, so if I CTRL+L the
> popup opens, but the address bar is selected when I close it.

CTRL+L made sense logically in English L = 'Link'

I tried my best but can't seem to prevent the default action in the browser

I am happy to change it if you have a suggestion
Comment 59 Jonathan Druart 2018-04-11 13:49:53 UTC
It's weird that nobody else raised this problem before. Do not you think the behavior is very bad?
Comment 60 Marcel de Rooy 2018-04-11 14:16:17 UTC
(In reply to Jonathan Druart from comment #59)
> It's weird that nobody else raised this problem before. Do not you think the
> behavior is very bad?

I remember commenting on problems with some shortcuts in Firefox on another report. Whether the key worked, depended on the field having focus iirc..
Comment 61 Owen Leonard 2018-04-11 16:11:22 UTC
Why not use Ctrl-Shift-L?
Comment 62 Nick Clemens 2018-04-11 18:21:13 UTC
Created attachment 74023 [details] [review]
Bug 18904: (follow-up) Use Ctrl+Shift+L
Comment 63 Katrin Fischer 2018-04-12 09:36:11 UTC
Created attachment 74055 [details] [review]
Bug 18904: (follow-up) Use Ctrl+Shift+L

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 64 Katrin Fischer 2018-04-12 09:36:38 UTC
Retested with the new shortcut - works great for me. Docs were adjusted.
Comment 65 Jonathan Druart 2018-04-12 15:05:59 UTC
Pushed to master for 18.05, thanks to everybody involved!